<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-153"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FBase%2FController%2FScrollTabViewController.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Controller/ScrollTabViewController.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_e594291297641f362044084ee3bd79c2.html">Base</a></li><li class="navelem"><a class="el" href="dir_7eba93e76ed8f73916c5a8d0dda45489.html">Controller</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ScrollTabViewController.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_scroll_tab_view_controller_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  ScrollTabViewController.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by 江俊辰 on 2017/7/25.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_scroll_tab_view_controller_8h.html">ScrollTabViewController.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;<span class="preprocessor">#import &lt;KKLThirdParty/ReactiveObjC.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp;<span class="preprocessor">#import &lt;KKLThirdParty/Masonry.h&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_u_i_constants_8h.html">UIConstants.h</a>&#34;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_utils_macros_8h.html">UtilsMacros.h</a>&#34;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp; </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_scroll_tab_view_controller.html">ScrollTabViewController</a></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&nbsp; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp;- (void)viewDidLoad {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp;    [<span class="keyword">super</span> viewDidLoad];</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;    <span class="comment">// Do any additional setup after loading the view.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp;    <span class="keyword">self</span>.view.backgroundColor = <a class="code" href="_u_i_constants_8h.html#a43465a2a22046505549e4829619e4346">kBackgroundColor</a>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;    [<span class="keyword">self</span> setupSubviews];</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp;- (void)setupSubviews {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp;    [<span class="keyword">self</span>.view addSubview:self.scrollView];</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp;    [<span class="keyword">self</span>.view addSubview:self.topTabBar];</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp;    [<span class="keyword">self</span>.scrollView mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp;        make.edges.mas_equalTo(UIEdgeInsetsMake(KOTabBarHeight, 0, 0, 0));</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp;    }];</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp;}</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;<span class="preprocessor">#pragma mark - Getter</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;- (CKBannerView *)<a class="code" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">scrollView</a> {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;    <span class="keywordflow">if</span> (!_scrollView) {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp;        _scrollView = [[CKBannerView alloc] initWithFrame:CGRectMake(0, 0, kScreenWidth, self.view.frame.size.height)];</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;        _scrollView.delegate = <span class="keyword">self</span>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp;        _scrollView.pageControl.hidden = YES;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp;    }</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp;    <span class="keywordflow">return</span> _scrollView;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&nbsp;}</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&nbsp; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&nbsp;- (<a class="code" href="interface_k_o_tab_bar.html">KOTabBar</a> *)<a class="code" href="interface_scroll_tab_view_controller.html#a6b46e5a956d4201e6e542c379c18e22b">topTabBar</a> {</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp;    <span class="keywordflow">if</span> (!_topTabBar) {</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&nbsp;        _topTabBar = [<a class="code" href="interface_k_o_tab_bar.html">KOTabBar</a> <a class="code" href="interface_k_o_tab_bar.html#a5ef0ade305a8f9da3f7d38f539886b45">tabBar</a>];</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&nbsp;        _topTabBar.<a class="code" href="interface_x_h_x_tabbar.html#ab3e65e6a08789fb89c27445cf5e0dba0">delegate</a> = <span class="keyword">self</span>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&nbsp;    }</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp;    <span class="keywordflow">return</span> _topTabBar;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp;}</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&nbsp; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp;<span class="preprocessor">#pragma mark - Setter </span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&nbsp;- (void)setViewControllers:(NSArray *)viewControllers {</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&nbsp;    _viewControllers = <a class="code" href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">viewControllers</a>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&nbsp;    [<span class="keyword">self</span>.childViewControllers makeObjectsPerformSelector:@selector(removeFromParentViewController)];</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&nbsp;    </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&nbsp;    NSMutableArray *itemList = [NSMutableArray array];</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp;    <span class="keywordflow">for</span> (UIViewController *vc in <a class="code" href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">viewControllers</a>) {</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp;        [<span class="keyword">self</span> addChildViewController:vc];</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&nbsp;        <a class="code" href="interface_x_h_x_tab_item.html">XHXTabItem</a> *item = [[<a class="code" href="interface_x_h_x_tab_item.html">XHXTabItem</a> alloc] init];</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&nbsp;        item.<a class="code" href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">title</a> = vc.title;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&nbsp;        [itemList addObject:item];</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&nbsp;        @weakify(item)</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&nbsp;        [RACObserve(vc, title)subscribeNext:^(id  _Nullable x) {</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;            @strongify(item)</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp;            item.title = x;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp;        }];</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp;    }</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&nbsp;    <span class="comment">// 刷新TabBar</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&nbsp;    <span class="keyword">self</span>.topTabBar.items = itemList;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&nbsp;    CKAsyncMainQueue(^{</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&nbsp;        <span class="keyword">self</span>.topTabBar.selectedItemIndex = <span class="keyword">self</span>.initialTabIndex;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&nbsp;        <span class="comment">// 刷新分页滚动视图</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&nbsp;        [<span class="keyword">self</span>.scrollView reloadDataWithCurrentPageIndex:self.initialTabIndex];</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&nbsp;        </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp;    });</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&nbsp;}</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&nbsp; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&nbsp;<span class="comment">//#pragma mark - YPTabBarDelegate</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&nbsp;<span class="comment">//- (void)yp_tabBar:(YPTabBar *)tabBar didSelectedItemAtIndex:(NSUInteger)index {</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&nbsp;<span class="comment">//    [self.scrollView setCurrentPageIndex:index animate:NO];</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&nbsp;<span class="comment">//}</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&nbsp;<span class="preprocessor">#pragma mark ==================  XHXTabbarDelegate   ==================</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&nbsp;- (void)tabbar:(<a class="code" href="interface_x_h_x_tabbar.html">XHXTabbar</a> *)tabbar didSelectedItemAtIndex:(NSInteger)index {</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&nbsp;    [<span class="keyword">self</span>.scrollView setCurrentPageIndex:index animate:NO];</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&nbsp;}</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&nbsp;<span class="preprocessor">#pragma mark - CKBannerViewDelegate</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&nbsp;- (void)scrollViewDidScroll:(UIScrollView *)scrollView {</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&nbsp;    CGFloat x = <a class="code" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">scrollView</a>.contentOffset.x;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&nbsp;    NSInteger maxIndex = (NSInteger)(<span class="keyword">self</span>.<a class="code" href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">viewControllers</a>.count - 1);</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&nbsp;    <span class="keywordflow">if</span> (x &gt;= 0 &amp;&amp; x &lt;= <a class="code" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a> * maxIndex) {</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&nbsp;        [<span class="keyword">self</span>.topTabBar updateSubViewsWhenParentScrollViewScroll:scrollView];</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&nbsp;    }</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&nbsp;}</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&nbsp; </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&nbsp;- (NSInteger)numberOfPagesForBannerView:(CKBannerView *)bannerView {</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>.viewControllers.count;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&nbsp;}</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&nbsp; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&nbsp;- (void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView {</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&nbsp;    NSUInteger page = <a class="code" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">scrollView</a>.contentOffset.x / <a class="code" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">scrollView</a>.frame.size.width;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&nbsp;    <span class="keyword">self</span>.topTabBar.selectedItemIndex = page;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&nbsp;}</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&nbsp; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&nbsp;- (CKBannerPageView *)bannerView:(CKBannerView *)bannerView viewForPageAtIndex:(NSInteger)pageIndex {</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&nbsp;    UIViewController *pageVC = [<span class="keyword">self</span>.viewControllers safetyObjectAtIndex:pageIndex];</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&nbsp;    CKBannerPageView *pageView = [bannerView dequeueReusablePageWithIdentifier:@&#34;page&#34;];</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&nbsp;    <span class="keywordflow">if</span> (!pageView) {</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&nbsp;        pageView = [[CKBannerPageView alloc] initWithReuseIdentifier:NSStringFromClass([pageVC class])];</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&nbsp;    }</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&nbsp;    </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&nbsp;    <span class="keywordflow">if</span> (![pageVC.view.superview isEqual:pageView]) {</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&nbsp;        [pageView addSubview:pageVC.view];</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&nbsp;        pageVC.view.frame = CGRectMake(0, 0, pageView.frame.size.width, pageView.frame.size.height);</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&nbsp;        pageVC.view.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&nbsp;    }</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&nbsp; </div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&nbsp;    <span class="keywordflow">return</span> pageView;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&nbsp;}</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&nbsp; </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_k_o_tab_bar_html_a5ef0ade305a8f9da3f7d38f539886b45"><div class="ttname"><a href="interface_k_o_tab_bar.html#a5ef0ade305a8f9da3f7d38f539886b45">+[KOTabBar tabBar]</a></div><div class="ttdeci">instancetype tabBar()</div><div class="ttdef"><b>Definition:</b> <a href="_k_o_tab_bar_8m_source.html#l00013">KOTabBar.m:17</a></div></div>
<div class="ttc" id="a_utils_macros_8h_html_a9a73d343dd1af7bfb763a047fedebe4c"><div class="ttname"><a href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a></div><div class="ttdeci">#define kScreenWidth</div><div class="ttdef"><b>Definition:</b> <a href="_utils_macros_8h_source.html#l00040">UtilsMacros.h:40</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html"><div class="ttname"><a href="interface_x_h_x_tabbar.html">XHXTabbar</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00045">XHXTabbar.h:46</a></div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html_a23d94df873cb56b9004561d241a5e316"><div class="ttname"><a href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">ScrollTabViewController::scrollView</a></div><div class="ttdeci">CKBannerView * scrollView</div><div class="ttdoc">分页滚动容器视图</div><div class="ttdef"><b>Definition:</b> <a href="_scroll_tab_view_controller_8h_source.html#l00017">ScrollTabViewController.h:17</a></div></div>
<div class="ttc" id="a_scroll_tab_view_controller_8h_html"><div class="ttname"><a href="_scroll_tab_view_controller_8h.html">ScrollTabViewController.h</a></div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html_a6b46e5a956d4201e6e542c379c18e22b"><div class="ttname"><a href="interface_scroll_tab_view_controller.html#a6b46e5a956d4201e6e542c379c18e22b">ScrollTabViewController::topTabBar</a></div><div class="ttdeci">KOTabBar * topTabBar</div><div class="ttdoc">顶部的选项栏</div><div class="ttdef"><b>Definition:</b> <a href="_scroll_tab_view_controller_8h_source.html#l00015">ScrollTabViewController.h:15</a></div></div>
<div class="ttc" id="ainterface_k_o_tab_bar_html"><div class="ttname"><a href="interface_k_o_tab_bar.html">KOTabBar</a></div><div class="ttdef"><b>Definition:</b> <a href="_k_o_tab_bar_8h_source.html#l00015">KOTabBar.h:16</a></div></div>
<div class="ttc" id="a_u_i_constants_8h_html_a43465a2a22046505549e4829619e4346"><div class="ttname"><a href="_u_i_constants_8h.html#a43465a2a22046505549e4829619e4346">kBackgroundColor</a></div><div class="ttdeci">#define kBackgroundColor</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_constants_8h_source.html#l00023">UIConstants.h:23</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_af84f8f8b976263383b219556346f1c05"><div class="ttname"><a href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">XHXTabItem::title</a></div><div class="ttdeci">NSString * title</div><div class="ttdoc">文字</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00026">XHXTabItem.h:26</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html"><div class="ttname"><a href="interface_x_h_x_tab_item.html">XHXTabItem</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00018">XHXTabItem.h:19</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_ab3e65e6a08789fb89c27445cf5e0dba0"><div class="ttname"><a href="interface_x_h_x_tabbar.html#ab3e65e6a08789fb89c27445cf5e0dba0">XHXTabbar::delegate</a></div><div class="ttdeci">id&lt; XHXTabbarDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00046">XHXTabbar.h:46</a></div></div>
<div class="ttc" id="a_u_i_constants_8h_html"><div class="ttname"><a href="_u_i_constants_8h.html">UIConstants.h</a></div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html"><div class="ttname"><a href="interface_scroll_tab_view_controller.html">ScrollTabViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="_scroll_tab_view_controller_8h_source.html#l00013">ScrollTabViewController.h:13</a></div></div>
<div class="ttc" id="a_utils_macros_8h_html"><div class="ttname"><a href="_utils_macros_8h.html">UtilsMacros.h</a></div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html_a88aadb588ced05d7fc0eb1465d337297"><div class="ttname"><a href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">ScrollTabViewController::viewControllers</a></div><div class="ttdeci">NSArray * viewControllers</div><div class="ttdoc">所有的分页视图控制器</div><div class="ttdef"><b>Definition:</b> <a href="_scroll_tab_view_controller_8h_source.html#l00019">ScrollTabViewController.h:19</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>